aboutsummaryrefslogtreecommitdiff
path: root/www
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-11-27 16:05:54 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-11-27 16:05:54 +0000
commit2cd81aedce1f3e0cf3a1c597e2420110a5a7894a (patch)
tree7fe740917fbb54b8e10e42c40bcd69d27bed6ff3 /www
parentacbbe3011c0d08bf44de093f9d9cd3a1d08ac14a (diff)
downloadslackbuilds-2cd81aedce1f3e0cf3a1c597e2420110a5a7894a.tar.gz
slackbuilds-2cd81aedce1f3e0cf3a1c597e2420110a5a7894a.tar.bz2
packages now shipping with slack-required
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1980 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'www')
-rwxr-xr-xwww/apps/trac/Trac.SlackBuild8
-rwxr-xr-xwww/apps/tracaccountmanager/TracAccountManager.SlackBuild8
-rwxr-xr-xwww/apps/tracpageauthzeditor/TracPageAuthzEditor.SlackBuild8
3 files changed, 21 insertions, 3 deletions
diff --git a/www/apps/trac/Trac.SlackBuild b/www/apps/trac/Trac.SlackBuild
index af9c2278..d4958f44 100755
--- a/www/apps/trac/Trac.SlackBuild
+++ b/www/apps/trac/Trac.SlackBuild
@@ -126,11 +126,17 @@ Trac:
Trac:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/www/apps/tracaccountmanager/TracAccountManager.SlackBuild b/www/apps/tracaccountmanager/TracAccountManager.SlackBuild
index 910d5516..ff7b8c00 100755
--- a/www/apps/tracaccountmanager/TracAccountManager.SlackBuild
+++ b/www/apps/tracaccountmanager/TracAccountManager.SlackBuild
@@ -140,11 +140,17 @@ TracAccountManager:
TracAccountManager:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/www/apps/tracpageauthzeditor/TracPageAuthzEditor.SlackBuild b/www/apps/tracpageauthzeditor/TracPageAuthzEditor.SlackBuild
index 43cbafb4..5ab307a6 100755
--- a/www/apps/tracpageauthzeditor/TracPageAuthzEditor.SlackBuild
+++ b/www/apps/tracpageauthzeditor/TracPageAuthzEditor.SlackBuild
@@ -140,11 +140,17 @@ TracPageAuthzEditor:
TracPageAuthzEditor:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi